/*
-----------------------------------------------------
   Application Name: QNetTraf
          File Name: configuration.h
         Start Date: 6/12/2009
       Last Changed: $LastChangedDate: 2010-01-19 18:12:52 +1300 (Tue, 19 Jan 2010) $
           Revision: $Revision: 179 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2009, 2010
            License: GNU General Public License
   File Description: Configuration Dialog header
-----------------------------------------------------
        This file is part of QNetTraf.

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

File Notes:
------------------
*/

#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#include <QtGui/QDialog>
#include <QSettings>
#include "settingsmanager.h"
#include "ui_configuration.h"

namespace Ui {
    class configuration;
}

class Configuration : public QDialog {
    Q_OBJECT
    Q_DISABLE_COPY(Configuration)
public:
    explicit Configuration(QWidget *parent = 0);
    virtual ~Configuration();

protected:
    virtual void changeEvent(QEvent *e);

private slots:
    void accepted();

private:
    Ui::configuration *m_ui;
};

#endif // CONFIGURATION_H
